- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# mrInterface Class Reference

Inheritance diagram for mrInterface:

[legend]
Collaboration diagram for mrInterface:

[legend]
List of all members.

## Public Member Functions
| mrInterface (modeReconfiguration &mr)
| ~mrInterface ()
void | update_current_state (unsigned int variable_id, unsigned int value_id) const
void | update_current_state (Mers::Utils::Lang::String variable_name, Mers::Utils::Lang::String value_name) const
Mers::Utils::Containers::intList | generate_commands (Mers::Utils::Containers::intList &goal_intList)
std::list< Mers::Utils::Lang::String > | generate_commands (std::list< Mers::Utils::Lang::String > const &goal_list)
Mers::Utils::Containers::intList | generate_reachable_states ()
void | setDebug (bool debugState)
bool | getDebug () const
void | showVariables () const
## Friends
std::ostream & | operator<< (std::ostream &_ostream, mrInterface const &_mrInterface)

## Detailed Description

Definition at line 36 of file mrInterface.h.

## Constructor & Destructor Documentation

mrInterface::mrInterface | ( | modeReconfiguration & | mr | ) |

A constructor.

Parameters:

  | mr | a reference of modeReconfiguration

Definition at line 33 of file mrInterface.cpp.

mrInterface::~mrInterface | ( |  | ) |

A destructor.

Definition at line 37 of file mrInterface.cpp.

## Member Function Documentation

void mrInterface::update_current_state | ( | unsigned int | variable_id,
|  | unsigned int | value_id |
| ) |  |  | const`[virtual]`

updates the current state.

Parameters:

  | variable_id | an integer id corresponding to the variable.
  | value_id | an integer id corresponding to the value.

Returns:
  The test results

Implements Mers::Reconfiguration::Discrete::MR_connection.

Definition at line 62 of file mrInterface.cpp.

References modeReconfiguration::update_current_state().

Here is the call graph for this function:

void mrInterface::update_current_state | ( | Mers::Utils::Lang::String | variable_name,
|  | Mers::Utils::Lang::String | value_name |
| ) |  |  | const

updates the current state.

Parameters:

  | variable_name | a name corresponding to the variable.
  | value_name | a name corresponding to the value.

Returns:
  The test results

Definition at line 70 of file mrInterface.cpp.

References modeReconfiguration::update_current_state().

Here is the call graph for this function:

intList mrInterface::generate_commands | ( | Mers::Utils::Containers::intList & | goal_intList | ) | `[virtual]`

generates a new command

Parameters:

  | goal_intList | reference to a list of goals expressed as integers.

Returns:
  a list of integers that corresponds to the commands.

Implements Mers::Reconfiguration::Discrete::MR_connection.

Definition at line 84 of file mrInterface.cpp.

References Mers::Utils::Containers::intList::begin(), modeReconfiguration::clear_goal(), Mers::Utils::Containers::intList::end(), modeReconfiguration::generate_next_command_intList_p(), and modeReconfiguration::update_goal().

Here is the call graph for this function:

std::list<Mers::Utils::Lang::String> mrInterface::generate_commands | ( | std::list< Mers::Utils::Lang::String > const & | goal_list | ) |

generates a new command

Parameters:

  | goal_list | reference to a list of goals expressed as strings.

Returns:
  a list of strings that corresponds to the commands.

intList mrInterface::generate_reachable_states | ( |  | ) |

generates the list of reachable states

Returns:
  a list of integers that corresponds to the reachable states.

Definition at line 77 of file mrInterface.cpp.

References modeReconfiguration::generate_reachable_states_intList_p().

Here is the call graph for this function:

void mrInterface::setDebug | ( | bool | debugState | ) |

turns the debug output on/off.

Parameters:

  | debugState | a bool: true for debug on and false for debug false.

Definition at line 47 of file mrInterface.cpp.

References modeReconfiguration::setDebug().

Here is the call graph for this function:

bool mrInterface::getDebug | ( |  | ) | const

returns the current debug state.

Returns:
  a bool: true for debug on and false for debug off.

Definition at line 55 of file mrInterface.cpp.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Reconfiguration/Discrete/mrInterface.h
- /Users/fpy/titan-1-5-MBARI/Mers/Reconfiguration/Discrete/mrInterface.cpp